#
#  camera package setup script for environment
#
CAMERA_LOCATION=@APPSROOT@/camera
export CAMERA_LOCATION
#
prepend()
{
#  prepend - add new item to path if not already there
    newpath=$1
    oldpath=$2
    compath=$3
    if [ -z "${compath}" ]; then
        export ${oldpath}=${newpath}
    else
        echo ${compath} | egrep -i ${newpath} >&/dev/null
        if [ "$?" -ne 0 ]; then
            export ${oldpath}=${newpath}:${compath}
        fi
    fi
}

prepend "$CAMERA_LOCATION/bin" "PATH" "${PATH}"
prepend "$CAMERA_LOCATION/lib" "PYTHONPATH" "${PYTHONPATH}"
